<html><head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>brand</title>
    <style type="text/css" media="all">
      @import url("scilab_code.css");
      @import url("xml_code.css");
      @import url("c_code.css");
      @import url("style.css");
    </style>
  </head>
  <body>
    <div class="manualnavbar">
    <table width="100%"><tr>
      <td width="30%">
    	<span class="previous"><a href="bmodulo.html">&lt;&lt; bmodulo</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_9ebe4d1d576a019be0dd541ed7338bc5.html">arithmetic</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="contribute.html">contribute &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>



    <span class="path"><a href="index.html">bigint</a> &gt;&gt; <a href="section_9ebe4d1d576a019be0dd541ed7338bc5.html">arithmetic</a> &gt; brand</span>

    <br /><br />
    <div class="refnamediv"><h1 class="refname">brand</h1>
    <p class="refpurpose">random bigint generator</p></div>


<div class="refsection"><h3 class="title">Parameters</h3>
   <dl><dt><span class="term">N,Nmax,Nmin:</span>
            <dd><p class="para">bigint</p></dd></dt>
        <dt><span class="term">p,n  :</span>
            <dd><p class="para">integers</p></dd></dt></dl></div>

<div class="refsection"><h3 class="title">Description</h3>
   <p class="para">random bigint generator with syntax :
<ul class="itemizedlist"><li><p class="para">N=brand(Nmax) produce a single bigint <span><img src='./_LaTeX_brand.xml_1.png' style='position:relative;top:5px;width:105px;height:18px'/></span></p></li>
<li><p class="para">N=brand(Nmax,Nmin) produce a single bigint <span><img src='./_LaTeX_brand.xml_2.png' style='position:relative;top:5px;width:130px;height:18px'/></span></p></li>
<li><p class="para">N=brand(p,n,Nmax) produce a pxn mbigint matrix with <span><img src='./_LaTeX_brand.xml_3.png' style='position:relative;top:6px;width:331px;height:20px'/></span></p></li>
<li><p class="para">N=brand(p,n,Nmax,Nmin) produce a pxn mbigint matrix with <span><img src='./_LaTeX_brand.xml_4.png' style='position:relative;top:6px;width:356px;height:20px'/></span></p></li></ul>
the function use grand(p,n,&#0039;uin&#0039;,...) to generate independant blocks of 7 digits.</p>
   <p class="para"></p></div>

<div class="refsection"><h3 class="title">Examples</h3>
   <div class="programlisting"><table border="0" width="100%"><tr><td width="98%"><pre class="scilabcode"><span class="scilabid">a</span><span class="scilaboperator">=</span><span class="scilabid">bigint</span><span class="scilabopenclose">(</span><span class="scilabstring">&#0039;</span><span class="scilabstring">123456789987654321</span><span class="scilabstring">&#0039;</span><span class="scilabopenclose">)</span>
<span class="scilabid">b</span><span class="scilaboperator">=</span><span class="scilabid">bigint</span><span class="scilabopenclose">(</span><span class="scilabstring">&#0039;</span><span class="scilabstring">100000000000000000</span><span class="scilabstring">&#0039;</span><span class="scilabopenclose">)</span>
<span class="scilabid">x</span><span class="scilaboperator">=</span><span class="scilabid">brand</span><span class="scilabopenclose">(</span><span class="scilabid">a</span><span class="scilabopenclose">)</span>        <span class="scilabcomment">// x</span><span class="scilabcomment">&#0060;</span><span class="scilabcomment">=a</span>
<span class="scilabid">x</span><span class="scilaboperator">=</span><span class="scilabid">brand</span><span class="scilabopenclose">(</span><span class="scilabid">a</span><span class="scilabdefault">,</span><span class="scilabid">b</span><span class="scilabopenclose">)</span>      <span class="scilabcomment">// b</span><span class="scilabcomment">&#0060;</span><span class="scilabcomment">=x</span><span class="scilabcomment">&#0060;</span><span class="scilabcomment">=a</span>
<span class="scilabid">A</span><span class="scilaboperator">=</span><span class="scilabid">brand</span><span class="scilabopenclose">(</span><span class="scilabnumber">2</span><span class="scilabdefault">,</span><span class="scilabnumber">3</span><span class="scilabdefault">,</span><span class="scilabid">a</span><span class="scilabopenclose">)</span>    <span class="scilabcomment">// A(i,j)</span><span class="scilabcomment">&#0060;</span><span class="scilabcomment">=a</span>
<span class="scilabid">B</span><span class="scilaboperator">=</span><span class="scilabid">brand</span><span class="scilabopenclose">(</span><span class="scilabnumber">2</span><span class="scilabdefault">,</span><span class="scilabnumber">3</span><span class="scilabdefault">,</span><span class="scilabid">a</span><span class="scilabdefault">,</span><span class="scilabid">b</span><span class="scilabopenclose">)</span>  <span class="scilabcomment">// B(i,j)</span><span class="scilabcomment">&#0060;</span><span class="scilabcomment">= b</span></pre></td><td valign="top"><a href="scilab://scilab.execexample/"><img src="ScilabExecute.png" border="0"/></a></td><td valign="top"><a href="scilab://scilab.editexample/"><img src="ScilabEdit.png" border="0"/></a></td><td></td></tr></table></div></div>

<div class="refsection"><h3 class="title">See also</h3>
   <ul class="itemizedlist"><li class="member"><a href="bigint.html" class="link">bigint</a></li>
   <li class="member"><a href="scilab://grand" class="link">grand</a></li></ul></div>

<div class="refsection"><h3 class="title">Authors</h3>
   <ul class="itemizedlist"><li class="member">Philippe Roux</li></ul></div>
    <br />

    <div class="manualnavbar">
    <table width="100%">
    <tr><td colspan="3" class="next"><a href="http://bugzilla.scilab.org/enter_bug.cgi?product=Scilab%20software&component=Documentation%20pages" class="ulink">Report an issue</a></td></tr>
<tr>
      <td width="30%">
    	<span class="previous"><a href="bmodulo.html">&lt;&lt; bmodulo</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_9ebe4d1d576a019be0dd541ed7338bc5.html">arithmetic</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="contribute.html">contribute &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>
  </body>
</html>
